paddalgo.h File Reference
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_CRYPT_PADDALGO | GWEN_CRYPT_PADDALGO

## Functions

GWENHYWFAR_API void | GWEN_Crypt_PaddAlgo_Attach (GWEN_CRYPT_PADDALGO *a)
GWENHYWFAR_API GWEN_CRYPT_PADDALGO * | GWEN_Crypt_PaddAlgo_dup (const GWEN_CRYPT_PADDALGO *a)
GWENHYWFAR_API void | GWEN_Crypt_PaddAlgo_free (GWEN_CRYPT_PADDALGO *a)
GWENHYWFAR_API GWEN_CRYPT_PADDALGO * | GWEN_Crypt_PaddAlgo_fromDb (GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_PADDALGOID | GWEN_Crypt_PaddAlgo_GetId (const GWEN_CRYPT_PADDALGO *a)
GWENHYWFAR_API int | GWEN_Crypt_PaddAlgo_GetPaddSize (const GWEN_CRYPT_PADDALGO *a)
GWENHYWFAR_API GWEN_CRYPT_PADDALGO * | GWEN_Crypt_PaddAlgo_new (GWEN_CRYPT_PADDALGOID id)
GWENHYWFAR_API void | GWEN_Crypt_PaddAlgo_SetPaddSize (GWEN_CRYPT_PADDALGO *a, int s)
GWENHYWFAR_API int | GWEN_Crypt_PaddAlgo_toDb (const GWEN_CRYPT_PADDALGO *a, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_PADDALGOID | GWEN_Crypt_PaddAlgoId_fromString (const char *s)
GWENHYWFAR_API const char * | GWEN_Crypt_PaddAlgoId_toString (GWEN_CRYPT_PADDALGOID a)
| GWEN_LIST2_FUNCTION_LIB_DEFS (GWEN_CRYPT_PADDALGO, GWEN_Crypt_PaddAlgo, GWENHYWFAR_API) } typedef enum

## Variables

| GWEN_CRYPT_PADDALGOID

## Typedef Documentation

## GWEN_CRYPT_PADDALGO

typedef struct GWEN_CRYPT_PADDALGO GWEN_CRYPT_PADDALGO

Definition at line 21 of file paddalgo.h.

## Function Documentation

## GWEN_Crypt_PaddAlgo_Attach()

GWENHYWFAR_API void GWEN_Crypt_PaddAlgo_Attach | ( | GWEN_CRYPT_PADDALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_dup()

GWENHYWFAR_API GWEN_CRYPT_PADDALGO * GWEN_Crypt_PaddAlgo_dup | ( | const GWEN_CRYPT_PADDALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_free()

GWENHYWFAR_API void GWEN_Crypt_PaddAlgo_free | ( | GWEN_CRYPT_PADDALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_fromDb()

GWENHYWFAR_API GWEN_CRYPT_PADDALGO * GWEN_Crypt_PaddAlgo_fromDb | ( | GWEN_DB_NODE * | db | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_GetId()

GWENHYWFAR_API GWEN_CRYPT_PADDALGOID GWEN_Crypt_PaddAlgo_GetId | ( | const GWEN_CRYPT_PADDALGO * | a | ) |

References GWEN_CRYPT_PADDALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_GetPaddSize()

GWENHYWFAR_API int GWEN_Crypt_PaddAlgo_GetPaddSize | ( | const GWEN_CRYPT_PADDALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_new()

GWENHYWFAR_API GWEN_CRYPT_PADDALGO * GWEN_Crypt_PaddAlgo_new | ( | GWEN_CRYPT_PADDALGOID | id | ) |

References GWEN_CRYPT_PADDALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_SetPaddSize()

GWENHYWFAR_API void GWEN_Crypt_PaddAlgo_SetPaddSize | ( | GWEN_CRYPT_PADDALGO * | a,
|  | int | s )

References GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgo_toDb()

GWENHYWFAR_API int GWEN_Crypt_PaddAlgo_toDb | ( | const GWEN_CRYPT_PADDALGO * | a,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgoId_fromString()

GWENHYWFAR_API GWEN_CRYPT_PADDALGOID GWEN_Crypt_PaddAlgoId_fromString | ( | const char * | s | ) |

References GWEN_CRYPT_PADDALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_PaddAlgoId_toString()

GWENHYWFAR_API const char * GWEN_Crypt_PaddAlgoId_toString | ( | GWEN_CRYPT_PADDALGOID | a | ) |

References GWEN_CRYPT_PADDALGOID, and GWENHYWFAR_API.

## GWEN_LIST2_FUNCTION_LIB_DEFS()

GWEN_LIST2_FUNCTION_LIB_DEFS | ( | GWEN_CRYPT_PADDALGO | ,
|  | GWEN_Crypt_PaddAlgo | ,
|  | GWENHYWFAR_API | )

ISO 9796/1 without appendix 4

ISO 9796/1 with appendix 4

ISO 9796/2 with random (SigG v1.0)

PKCS#1 block type 01

PKCS#1 block type 02

fill left with zeroes

fill right with zeroes

ANSI X9.23

PKCS#1 PSS with SHA-256

ZKA Padding

Definition at line 27 of file paddalgo.h.

References GWENHYWFAR_API.

## Variable Documentation

## GWEN_CRYPT_PADDALGOID

GWEN_CRYPT_PADDALGOID

Definition at line 60 of file paddalgo.h.

Referenced by GWEN_Crypt_PaddAlgo_GetId(), GWEN_Crypt_PaddAlgo_new(), GWEN_Crypt_PaddAlgoId_fromString(), and GWEN_Crypt_PaddAlgoId_toString().